[arch-commits] CVS update of extra/lib/netcdf (PKGBUILD string-include.patch)

Jan de Groot jgc at archlinux.org
Sat Mar 8 22:18:03 UTC 2008


    Date: Saturday, March 8, 2008 @ 17:18:03
  Author: jgc
    Path: /home/cvs-extra/extra/lib/netcdf

   Added: string-include.patch (1.1)
Modified: PKGBUILD (1.5 -> 1.6)

upgpkg: netcdf 3.6.2-2
    gfortran 4.3.0, add patch to allow compilation with gcc 4.3


----------------------+
 PKGBUILD             |   35 +++++++++++++++++------------------
 string-include.patch |   21 +++++++++++++++++++++
 2 files changed, 38 insertions(+), 18 deletions(-)


Index: extra/lib/netcdf/PKGBUILD
diff -u extra/lib/netcdf/PKGBUILD:1.5 extra/lib/netcdf/PKGBUILD:1.6
--- extra/lib/netcdf/PKGBUILD:1.5	Fri Mar 23 18:11:55 2007
+++ extra/lib/netcdf/PKGBUILD	Sat Mar  8 17:18:03 2008
@@ -1,30 +1,29 @@
-# $Id: PKGBUILD,v 1.5 2007/03/23 22:11:55 damir Exp $
+# $Id: PKGBUILD,v 1.6 2008/03/08 22:18:03 jgc Exp $
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=netcdf
 pkgver=3.6.2
-origver=3.6.2
-pkgrel=1
+pkgrel=2
 pkgdesc="network Common Data Form interface for array-oriented data access and corresponding library"
 arch=("i686" "x86_64")
 url="http://my.unidata.ucar.edu/content/software/netcdf/index.html"
-depends=('glibc' 'gcc>=4.1')
-makedepends=('gcc-fortran>=4.1')
-source=("http://www.unidata.ucar.edu/downloads/netcdf/ftp/netcdf-$origver.tar.gz")
-#source=(ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf.tar.gz)
+depends=('gcc-libs>=4.3.0')
+options=('force' '!libtool' '!makeflags')
+license=('custom')
+source=(http://www.unidata.ucar.edu/downloads/netcdf/ftp/netcdf-${pkgver}.tar.gz
+	string-include.patch)
 md5sums=('a7d450da9081e4a6e440705ea31868d3')
-options=('force' 'nolibtool')
 
 build() {
-     export MAKEFLAGS="-j1"
-     cd $startdir/src/$pkgname-$origver
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i ${startdir}/src/string-include.patch || return 1
+  ./configure --prefix=/usr --enable-shared
+  make || return 1
+  make check || return 1
+  install -m755 -d ${startdir}/pkg/usr/lib
+  install -m755 -d ${startdir}/pkg/usr/share/man
+  make DESTDIR=${startdir}/pkg install || return 1
 
-     ./configure --prefix=/usr --enable-shared
-
-     make || return 1
-     make check || return 1
-     mkdir -p $startdir/pkg/usr/{lib,man}
-     make DESTDIR=$startdir/pkg install || return 1
-     find $startdir/pkg -name '*.la' -exec rm {} \;
+  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYRIGHT ${startdir}/pkg/usr/share/licenses/${pkgname}/
 }
-md5sums=('a7d450da9081e4a6e440705ea31868d3')
Index: extra/lib/netcdf/string-include.patch
diff -u /dev/null extra/lib/netcdf/string-include.patch:1.1
--- /dev/null	Sat Mar  8 17:18:03 2008
+++ extra/lib/netcdf/string-include.patch	Sat Mar  8 17:18:03 2008
@@ -0,0 +1,21 @@
+--- cxx/ncvalues.cpp.orig	2008-03-08 22:09:19.000000000 +0000
++++ cxx/ncvalues.cpp	2008-03-08 22:08:30.000000000 +0000
+@@ -9,7 +9,7 @@
+ 
+ #include <config.h>
+ #include <iostream>
+-#include <string>
++#include <string.h>
+ 
+ #include "ncvalues.h"
+ 
+--- examples/CXX/sfc_pres_temp_rd.cpp.orig	2008-03-08 22:12:05.000000000 +0000
++++ examples/CXX/sfc_pres_temp_rd.cpp	2008-03-08 22:13:41.000000000 +0000
+@@ -18,6 +18,7 @@
+ 
+ #include <iostream>
+ #include <netcdfcpp.h>
++#include <string.h>
+ 
+ using namespace std;
+ 




More information about the arch-commits mailing list